Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSMessagingService Class Reference

The CSMessagingService object is accessible from the CSUser object, and provides access to messaging related capabilities and actions. More...

`#import <CSMessagingService.h>`

Inherits NSObject.

## Instance Methods
(CSMessagingConversation *) | - createConversation
| Creates a new draft conversation. More...
(void) | - retrieveActiveConversationsWithWatcher:
| Performs a retrieval of all active conversations for the currently logged in user and watches for changes to this collection. More...
(void) | - searchConversationsWithQuery:watcher:
| Searches the user's conversations using specified filter criteria. More...
(void) | - retrieveActiveConversationsForContact:watcher:
| Retrieves the list of active conversations for a specified contact. More...
(void) | - refreshWithCompletionHandler:
| Perform a manual refresh of messaging data from the server. More...
(void) | - setRefreshMode:completionHandler:
| Sets refresh mode with completion handler. More...
(void) | - validateAddresses:watcher:
| Validates a list of supplied addresses to determine if they are valid messaging addresses. More...
(void) | - validateAddressesOfContact:watcher:
| Validates a list of supplied contact to determine if they are valid messaging addresses. More...
(void) | - leaveConversations:watcher:
| Leave a specified list of conversations. More...
(void) | - markMessagesAsRead:
| Mark multiple messages as read. More...
(void) | - leaveAllConversationsWithWatcher:
| Leave all conversations for the currently logged in user. More...
(CSCapability *) | - removeConversationCapability:
| Returns a CSCapability object that indicates if a specified conversation can be removed. More...
(void) | - removeConversation:completionHandler:
| Removes a conversation. More...
(void) | - clearAllLocalDataWithCompletionHandler:
| Removes all local data - messages, conversations and attachments. More...

## Properties
id< CSMessagingServiceDelegate > | delegate
| The delegate responsible for handling messaging service events. More...
CSMessagingRefreshMode | refreshMode
| The refresh mode for polling. More...
NSArray * | routableDomains
| Generic list of all routable domains presented as NSStrings. More...
NSString * | selfAddress
| String value containing address of currently logged in user. More...
NSUInteger | numberOfConversationsWithUnreadContentSinceLastAccess
| The number of conversations with unread content for current user. More...
NSUInteger | numberOfConversationsWithUnreadContent
| The number of conversations with unread content since last access of current user. More...
CSCapability * | createConversationCapability
| A CSCapability object allowing the client application to determine if it is currently possible to create a new conversation. More...
CSCapability * | messageDeliveryReadStateMonitoringCapability
| A CSCapability object allowing the client application to determine if it is currently possible to reporting delivery state updates for sent messages. More...
CSCapability * | messageReadReportingCapability
| A CSCapability object allowing the client application to determine if it is currently possible to reporting read state updates for sent messages. More...
CSCapability * | retrieveConversationCapability
| A CSCapability object that indicates if conversations can be retrieved from the server. More...
CSCapability * | retrieveOlderConversationCapability
| A CSCapability object that indicates if older conversations can be retrieved from the server. More...
CSCapability * | searchConversationCapability
| A CSCapability object that indicates if conversations can be searched. More...
CSCapability * | updateRefreshModeCapability
| A CSCapability object that indicates if the refresh mode can be changed. More...
CSCapability * | validateParticipantAddressesCapability
| A CSCapability object that indicates if participant addresses can be validated. More...
CSCapability * | clearLocalDataCapability
| A CSCapability object that indicates if local data can be cleared. More...
CSCapability * | automaticallyUpdateLastAccessTimeCapability
| A CSCapability object that indicates if conversation last access timestamps will be updated automatically. More...
BOOL | messageReadReportingSupported
| Boolean value indicating if last connected messaging service supported message read reporting. More...
BOOL | messageDeliveryReadStateMonitoringSupported
| Boolean value indicating if last connected messaging service supported message delivery read state monitoring. More...
CSMessagingLimits * | messagingLimits
| Messaging limits, which contain information about the limits of the messaging component. More...
BOOL | serviceAvailable
| A Boolean value indicating whether the messaging service is available. More...
CSCapability * | htmlCapability
| A CSCapability object allowing the client application to determine HTML capability. More...
(NSArray *) | - routableDomainsForProviderType:
| Generic list of all routable domains presented as NSStrings for the provider. More...
(NSString *) | - selfAddressForProviderType:
| String value containing address of currently logged in user for specific provider. More...
(NSUInteger) | - numberOfConversationsWithUnreadContentSinceLastAccessForProviderType:
| The number of conversations with unread content for the provider. More...
(NSUInteger) | - numberOfConversationsWithUnreadContentForProviderType:
| The number of conversations with unread content since last access of current user for the provider. More...
(CSCapability *) | - createConversationCapabilityForProviderType:
| A CSCapability object allowing the client application to determine if it is currently possible to create a new conversation for the provider. More...
(CSCapability *) | - messageDeliveryReadStateMonitoringCapabilityForProviderType:
| A CSCapability object allowing the client application to determine if it is currently possible to reporting delivery state updates for sent messages for the provider. More...
(CSCapability *) | - messageReadReportingCapabilityForProviderType:
| A CSCapability object allowing the client application to determine if it is currently possible to reporting read state updates for sent messages for the provider. More...
(CSCapability *) | - retrieveConversationCapabilityForProviderType:
| A CSCapability object that indicates if conversations can be retrieved from the server for the provider. More...
(CSCapability *) | - retrieveOlderConversationCapabilityForProviderType:
| A CSCapability object that indicates if older conversations can be retrieved from the server for the provider. More...
(CSCapability *) | - searchConversationCapabilityForProviderType:
| A CSCapability object that indicates if conversations can be searched within the provider. More...
(CSCapability *) | - updateRefreshModeCapabilityForProviderType:
| A CSCapability object that indicates if the refresh mode can be changed for the provider. More...
(CSCapability *) | - validateParticipantAddressesCapabilityForProviderType:
| A CSCapability object that indicates if participant addresses can be validated against the provider database. More...
(CSCapability *) | - clearLocalDataCapabilityForProviderType:
| A CSCapability object that indicates if local data can be cleared for the provider. More...
(CSCapability *) | - automaticallyUpdateLastAccessTimeCapabilityForProviderType:
| A CSCapability object that indicates if conversation last access timestamps will be updated automatically for the provider. More...
(CSMessagingLimits *) | - messagingLimitsForProviderType:
| Messaging limits, which contain information about the limits of the messaging provider. More...
(BOOL) | - serviceAvailableForProviderType:
| A Boolean value indicating whether the messaging provider is available. More...
(CSMessagingConversation *) | - createConversationForProviderType:
| Creates a new draft conversation for the provider. More...
(void) | - refreshWithCompletionHandler:forProviderType:
| Perform a manual refresh of messaging data from the server. More...
(void) | - validateAddresses:watcher:forProviderType:
| Validates a list of supplied addresses to determine if they are valid messaging addresses for the specified provider. More...
(void) | - validateAddressesOfContact:watcher:forProviderType:
| Validates a list of supplied contact to determine if they are valid messaging addresses for the specified provider. More...
(void) | - clearAllLocalDataWithCompletionHandler:forProviderType:
| Removes all local data - messages, conversations and attachments for the specified provider. More...
(void) | - conversationForProviderType:providerConversationId:withCompletionHandler:
| Gets a CSMessagingConversation associated with the provider conversation ID. More...
(CSCapability *) | - htmlCapabilityForProviderType:
| A CSCapability object allowing the client application to determine HTML capability for the specified provider. More...

## Detailed Description

The CSMessagingService object is accessible from the CSUser object, and provides access to messaging related capabilities and actions.

The CSMessagingService object provides a set of APIs that allow application developers to manage text conversations along with rich media attachments.

In general, the capabilities and the set of allowed operations are dependent on the capabilities of the messaging server. A messaging conversation doesn't have any moderator once it is started by any user.

The client application is notified about status updates reported by the messaging server through delegate that the application has added to the CSMessagingService object. These updates may be the result of local operations on the MessagingService object as well as remote changes initiated by either the server or other participants of any conversation.

## Method Documentation

- (CSCapability *) automaticallyUpdateLastAccessTimeCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if conversation last access timestamps will be updated automatically for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports automatic update of conversation last access timestamps.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  CSMessagingConversation::lastAccessDate
  - updateLastAccessTimeWithCompletionHandler: (CSMessagingConversation)

- (void) clearAllLocalDataWithCompletionHandler: |  | (CSMessagingCompletionHandler) | handler |

Removes all local data - messages, conversations and attachments.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

Parameters

  handler | CSMessagingCompletionHandler for this operation.

See also
  -[clearLocalDataCapability]

- (void) clearAllLocalDataWithCompletionHandler: |  | (CSMessagingCompletionHandler) | handler
forProviderType: |  | (CSMessagingProviderType) | messagingProviderType

Removes all local data - messages, conversations and attachments for the specified provider.

Parameters

  handler | CSMessagingCompletionHandler for this operation.
  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  -[clearLocalDataCapability]

- (CSCapability *) clearLocalDataCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if local data can be cleared for the provider.

This capability is currently always Allowed.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - clearAllLocalDataWithCompletionHandler:

- (void) conversationForProviderType: |  | (CSMessagingProviderType) | providerType
providerConversationId: |  | (NSString *) | providerConversationId
withCompletionHandler: |  | (CSConversationCompletionHandler) | handler

Gets a CSMessagingConversation associated with the provider conversation ID.

This method can be used to find a conversation object corresponding to push notification.

Parameters

  providerType | type of the providerlink CSMessagingProviderType}.
  providerConversationId | provider level conversation ID.
  handler | CSConversationCompletionHandler for this operation.

- (CSMessagingConversation *) createConversation |  |  |

Creates a new draft conversation.

The client application should query the createConversationCapability method to determine when it is possible to create a new conversation.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  createConversationCapability
  - startWithCompletionHandler: (CSMessagingConversation)
  - addParticipantAddresses:completionHandler: (CSMessagingConversation)
  - createMessage (CSMessagingConversation)

- (CSCapability *) createConversationCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object allowing the client application to determine if it is currently possible to create a new conversation for the provider.

Typically this capability would only be disabled when the client is offline and cannot access the messaging server.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - createConversation

- (CSMessagingConversation *) createConversationForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

Creates a new draft conversation for the provider.

The client application should query the createConversationCapability method to determine when it is possible to create a new conversation.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - startWithCompletionHandler: (CSMessagingConversation)
  - addParticipantAddresses:completionHandler: (CSMessagingConversation)
  - createMessage (CSMessagingConversation)

- (CSCapability *) htmlCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object allowing the client application to determine HTML capability for the specified provider.

Typically this capability would only be enabled when messaging server supports HTML.

Parameters

  messagingProviderType | type of the provider CSMessagingProviderType.

Returns
  a CSCapability object that indicates if a specified provider is HTML capable.

See also
  htmlCapability

- (void) leaveAllConversationsWithWatcher: |  | (CSDataRetrievalWatcher *) | watcher |

Leave all conversations for the currently logged in user.

As each of the user's currently active conversations are processed, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the conversations that have been left. In addition, for each conversation that is successfully left, a similar message will be sent to the delegates of the watcher object provided by the application via the retrieveActiveConversationsWithWatcher: method indicating the deletion of the conversation.

Parameters

  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress leaving the specified conversations. The data items returned to the application via the watcher object will be of type CSMessagingLeaveConversationResponse.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - leaveConversations:watcher:
  - retrieveActiveConversationsWithWatcher:

- (void) leaveConversations: |  | (NSArray *) | conversations
watcher: |  | (CSDataRetrievalWatcher *) | watcher

Leave a specified list of conversations.

As conversations in the supplied list are processed, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the conversations that have been left. In addition, for each conversation that is successfully left, a similar message will be sent to the delegates of the watcher object provided by the application via the retrieveActiveConversationsWithWatcher: method indicating the deletion of the conversation.

Parameters

  conversations | An array of CSMessagingConversation objects representing the conversations to leave.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress leaving the specified conversations. The data items returned to the application via the watcher object will be of type CSMessagingLeaveConversationResponse.

See also
  - leaveAllConversationsWithWatcher:
  - retrieveActiveConversationsWithWatcher:

- (void) markMessagesAsRead: |  | (NSArray *) | messages |

Mark multiple messages as read.

Parameters

  messages | An array of CSMessage objects to mark as read.

- (CSCapability *) messageDeliveryReadStateMonitoringCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object allowing the client application to determine if it is currently possible to reporting delivery state updates for sent messages for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server) for the provider.
- The messaging server supports send delivery receipts.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

- (CSCapability *) messageReadReportingCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object allowing the client application to determine if it is currently possible to reporting read state updates for sent messages for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server) for the provider.
- The messaging server supports send read receipts.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

- (CSMessagingLimits *) messagingLimitsForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

Messaging limits, which contain information about the limits of the messaging provider.

- (NSUInteger) numberOfConversationsWithUnreadContentForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

The number of conversations with unread content since last access of current user for the provider.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - messagingService:didChangeNumberOfConversationsWithUnreadContent: (CSMessagingServiceDelegate-p)

- (NSUInteger) numberOfConversationsWithUnreadContentSinceLastAccessForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

The number of conversations with unread content for the provider.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - messagingService:didChangeNumberOfConversationsWithUnreadContentSinceLastAccess: (CSMessagingServiceDelegate-p)

- (void) refreshWithCompletionHandler: |  | (CSMessagingCompletionHandler) | handler |

Perform a manual refresh of messaging data from the server.

This method is meant to be used when the RefreshMode parameter is set to manual.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

Parameters

  handler | CSMessagingCompletionHandler for this operation.

See also
  -[refreshMode]

- (void) refreshWithCompletionHandler: |  | (CSMessagingCompletionHandler) | handler
forProviderType: |  | (CSMessagingProviderType) | messagingProviderType

Perform a manual refresh of messaging data from the server.

This method is meant to be used when the RefreshMode parameter is set to manual.

Parameters

  handler | CSMessagingCompletionHandler for this operation.
  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  -[refreshMode]

- (void) removeConversation: |  | (CSMessagingConversation *) | conversation
completionHandler: |  | (CSMessagingCompletionHandler) | handler

Removes a conversation.

Parameters

  conversation | the CSMessagingConversation to be removed.
  handler | CSMessagingCompletionHandler for this operation.

- (CSCapability *) removeConversationCapability: |  | (CSMessagingConversation *) | conversation |

Returns a CSCapability object that indicates if a specified conversation can be removed.

This capability is Allowed when all of the following conditions are true:

- The conversation argument is a valid Conversation object.
- The Conversation is in a "draft" state.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

Returns
  a CSCapability object that indicates if a specified conversation can be removed.

See also
  - removeConversation:completionHandler:

- (void) retrieveActiveConversationsForContact: |  | (CSContact *) | contact
watcher: |  | (CSDataRetrievalWatcher *) | watcher

Retrieves the list of active conversations for a specified contact.

Note that unlike the retrieveActiveConversationsWithWatcher: method, once the data retrieval has completed, no further updates will be received through the supplied watcher argument.

To determine when it is appropriate to call this method, the client application should query the searchConversationCapability property.

Parameters

  contact | The contact object for which matching conversations are to be retrieved.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the search. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the search. The data items returned to the application via the watcher object will be of type CSMessagingConversation.

See also
  searchConversationCapability
  - retrieveActiveConversationsWithWatcher:

- (void) retrieveActiveConversationsWithWatcher: |  | (CSDataRetrievalWatcher *) | watcher |

Performs a retrieval of all active conversations for the currently logged in user and watches for changes to this collection.

This method retrieves the dynamically-updated collection of conversations that are associated with the currently logged in user. Normally the client application will only need to call this method once to install a watcher object to monitor the initial download of conversations and then continue to watch for updates to the collection.

If the client application calls this method additional times, no actual download of conversations from the server occurs, but any delegates installed on the watcher will receive messages that report progress (i.e. "progress" and "completion" messages). However, no additions to the conversation collection will occur as a result of the subsequent calls. If a different watcher object is supplied in a subsequent call, the previous watcher object is "unlinked" from the underlying conversation object collection and will never receive any additional updates.

To determine when it is appropriate to call this method, the client application should query the retrieveConversationCapability property.

Parameters

  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the conversation retrieval. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the retrieval of the conversation collection and subsequent updates to this collection. A value of nil will remove any currently installed watcher object, stopping all notifications from being sent to the previous watcher object. The data items returned to the application via the watcher object will be of type CSMessagingConversation.

See also
  retrieveConversationCapability
  retrieveOlderConversationCapability

- (CSCapability *) retrieveConversationCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if conversations can be retrieved from the server for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports retrieving conversations.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - retrieveActiveConversationsForContact:watcher:

- (CSCapability *) retrieveOlderConversationCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if older conversations can be retrieved from the server for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports retrieving conversations.
- The messaging server has older conversations available to download.

The client application should call retrieveActiveConversationsWithWatcher: to retrieve older conversations from the server.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  retrieveOlderConversationCapability
  - retrieveActiveConversationsWithWatcher:

- (NSArray *) routableDomainsForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

Generic list of all routable domains presented as NSStrings for the provider.

This list helps to determine if a specific address can be used within the messaging component.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - messagingService:didChangeRoutableDomains: (CSMessagingServiceDelegate-p)

- (CSCapability *) searchConversationCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if conversations can be searched within the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports searching conversations.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - searchConversationsWithQuery:watcher:

- (void) searchConversationsWithQuery: |  | (CSMessagingQuery *) | messagingQuery
watcher: |  | (CSDataRetrievalWatcher *) | watcher

Searches the user's conversations using specified filter criteria.

Parameters

  messagingQuery | query object on which a search will be done.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the search. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the search. The data items returned to the application via the watcher object will be of type CSMessagingConversation.

See also
  searchConversationCapability

- (NSString *) selfAddressForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

String value containing address of currently logged in user for specific provider.

This value may be different than in other services.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

Returns
  String value containing address of currently logged in user.

- (BOOL) serviceAvailableForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A Boolean value indicating whether the messaging provider is available.

This value is closely connected with capabilities - if the service is not running, usually all of the capabilities related to the service won't be allowed.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - messagingServiceAvailable: (CSMessagingServiceDelegate-p)
  - messagingServiceUnavailable: (CSMessagingServiceDelegate-p)

- (void) setRefreshMode: |  | (CSMessagingRefreshMode) | refreshMode
completionHandler: |  | (CSMessagingCompletionHandler) | handler

Sets refresh mode with completion handler.

Using this method and changing refresh mode will impact how often client gets updates from the server.

This selector operates on all configured providers.

Parameters

  refreshMode | new refresh type value.
  handler | CSMessagingCompletionHandler for this operation.

- (CSCapability *) updateRefreshModeCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if the refresh mode can be changed for the provider.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports changing the refresh mode.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  -[- setRefreshMode:completionHandler:]

- (void) validateAddresses: |  | (NSArray *) | addresses
watcher: |  | (CSDataRetrievalWatcher *) | watcher

Validates a list of supplied addresses to determine if they are valid messaging addresses.

As the addresses are validated, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the addresses validated to indicate the validation results for each of the supplied addresses.

Parameters

  addresses | An array of NSString objects representing the addresses to validate.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the address validation. The data items returned to the application via the watcher object will be of type CSMessagingAddressValidation.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  validateParticipantAddressesCapability

- (void) validateAddresses: |  | (NSArray *) | addresses
watcher: |  | (CSDataRetrievalWatcher *) | watcher
forProviderType: |  | (CSMessagingProviderType) | messagingProviderType

Validates a list of supplied addresses to determine if they are valid messaging addresses for the specified provider.

As the addresses are validated, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the addresses validated to indicate the validation results for each of the supplied addresses.

Parameters

  addresses | An array of NSString objects representing the addresses to validate.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the address validation. The data items returned to the application via the watcher object will be of type CSMessagingAddressValidation.
  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  validateParticipantAddressesCapability

- (void) validateAddressesOfContact: |  | (CSContact *) | contact
watcher: |  | (CSDataRetrievalWatcher *) | watcher

Validates a list of supplied contact to determine if they are valid messaging addresses.

As the addresses are validated, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the addresses validated to indicate the validation results for each of the supplied addresses.

Parameters

  contact | Contact object with the addresses to validate.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the address validation. The data items returned to the application via the watcher object will be of type CSMessagingAddressValidation.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  validateParticipantAddressesCapability

- (void) validateAddressesOfContact: |  | (CSContact *) | contact
watcher: |  | (CSDataRetrievalWatcher *) | watcher
forProviderType: |  | (CSMessagingProviderType) | messagingProviderType

Validates a list of supplied contact to determine if they are valid messaging addresses for the specified provider.

As the addresses are validated, the dataRetrievalWatcher:contentsDidChange:changedItems message will be sent to any delegates installed on the supplied watcher object. These messages will provide an array of response objects for each of the addresses validated to indicate the validation results for each of the supplied addresses.

Parameters

  contact | Contact object with the addresses to validate.
  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the requested operation. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the address validation. The data items returned to the application via the watcher object will be of type CSMessagingAddressValidation.
  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  validateParticipantAddressesCapability

- (CSCapability *) validateParticipantAddressesCapabilityForProviderType: |  | (CSMessagingProviderType) | messagingProviderType |

A CSCapability object that indicates if participant addresses can be validated against the provider database.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports validation of participant addresses.

Parameters

  messagingProviderType | type of the providerlink CSMessagingProviderType}.

See also
  - validateAddresses:watcher:

## Property Documentation

- (CSCapability*) automaticallyUpdateLastAccessTimeCapability
| read nonatomic assign

A CSCapability object that indicates if conversation last access timestamps will be updated automatically.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports automatic update of conversation last access timestamps.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  CSMessagingConversation::lastAccessDate
  - updateLastAccessTimeWithCompletionHandler: (CSMessagingConversation)

- (CSCapability*) clearLocalDataCapability
| read nonatomic assign

A CSCapability object that indicates if local data can be cleared.

This capability is currently always Allowed.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - clearAllLocalDataWithCompletionHandler:

- (CSCapability*) createConversationCapability
| read nonatomic assign

A CSCapability object allowing the client application to determine if it is currently possible to create a new conversation.

Typically this capability would only be disabled when the client is offline and cannot access the messaging server.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - createConversation

- (id<CSMessagingServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling messaging service events.

- (CSCapability*) htmlCapability
| read nonatomic assign

A CSCapability object allowing the client application to determine HTML capability.

Typically this capability would only be enabled when messaging server supports HTML.

If there is one messaging provider configured this selector will operate on the configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

- (CSCapability*) messageDeliveryReadStateMonitoringCapability
| read nonatomic assign

A CSCapability object allowing the client application to determine if it is currently possible to reporting delivery state updates for sent messages.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports send delivery receipts.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

- (BOOL) messageDeliveryReadStateMonitoringSupported
| read nonatomic assign

Boolean value indicating if last connected messaging service supported message delivery read state monitoring.

Returns
  YES if messaging service supports delivery read state monitoring.

- (CSCapability*) messageReadReportingCapability
| read nonatomic assign

A CSCapability object allowing the client application to determine if it is currently possible to reporting read state updates for sent messages.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports send read receipts.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

- (BOOL) messageReadReportingSupported
| read nonatomic assign

Boolean value indicating if last connected messaging service supported message read reporting.

Returns
  YES if last connected messaging service supports message read reporting.

- (CSMessagingLimits*) messagingLimits
| read nonatomic assign

Messaging limits, which contain information about the limits of the messaging component.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

- (NSUInteger) numberOfConversationsWithUnreadContent
| read nonatomic assign

The number of conversations with unread content since last access of current user.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - messagingService:didChangeNumberOfConversationsWithUnreadContent: (CSMessagingServiceDelegate-p)

- (NSUInteger) numberOfConversationsWithUnreadContentSinceLastAccess
| read nonatomic assign

The number of conversations with unread content for current user.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - messagingService:didChangeNumberOfConversationsWithUnreadContentSinceLastAccess: (CSMessagingServiceDelegate-p)

- (CSMessagingRefreshMode) refreshMode
| read nonatomic assign

The refresh mode for polling.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

Push mode means continuous notifications in real time.

See also
  - refreshWithCompletionHandler:

- (CSCapability*) retrieveConversationCapability
| read nonatomic assign

A CSCapability object that indicates if conversations can be retrieved from the server.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports retrieving conversations.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - retrieveActiveConversationsForContact:watcher:

- (CSCapability*) retrieveOlderConversationCapability
| read nonatomic assign

A CSCapability object that indicates if older conversations can be retrieved from the server.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports retrieving conversations.
- The messaging server has older conversations available to download.

The client application should call retrieveActiveConversationsWithWatcher: to retrieve older conversations from the server.

See also
  retrieveConversationCapability
  - retrieveActiveConversationsWithWatcher:

- (NSArray*) routableDomains
| read nonatomic assign

Generic list of all routable domains presented as NSStrings.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

This list helps to determine if a specific address can be used within the messaging component.

See also
  - messagingService:didChangeRoutableDomains: (CSMessagingServiceDelegate-p)

- (CSCapability*) searchConversationCapability
| read nonatomic assign

A CSCapability object that indicates if conversations can be searched.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports searching conversations.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - searchConversationsWithQuery:watcher:

- (NSString*) selfAddress
| read nonatomic assign

String value containing address of currently logged in user.

This value different than in other services.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

Returns
  String value containing address of currently logged in user.

- (BOOL) serviceAvailable
| read nonatomic assign

A Boolean value indicating whether the messaging service is available.

This value is closely connected with capabilities - if the service is not running, usually all of the capabilities related to the service won't be allowed.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - messagingServiceAvailable: (CSMessagingServiceDelegate-p)
  - messagingServiceUnavailable: (CSMessagingServiceDelegate-p)

- (CSCapability*) updateRefreshModeCapability
| read nonatomic assign

A CSCapability object that indicates if the refresh mode can be changed.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports changing the refresh mode.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  -[- setRefreshMode:completionHandler:]

- (CSCapability*) validateParticipantAddressesCapability
| read nonatomic assign

A CSCapability object that indicates if participant addresses can be validated.

This capability is Allowed when all of the following conditions are true:

- The messaging service is online (has an active connection to the server).
- The messaging server supports validation of participant addresses.

If there is one messaging provider configured this selector will operate on configured provider. Otherwise the CSMessagingProviderType#CSMessagingProviderTypeAvayaMultimediaMessaging provider will be used.

See also
  - validateAddresses:watcher:

The documentation for this class was generated from the following file:

- CSMessagingService.h